/*******************************************************************************
 * SVehicleSimBase generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class SVehicleSimBase extends ActorComponent
    native(Physics);

var() float WheelSuspensionStiffness;
var() float WheelSuspensionDamping;
var() float WheelSuspensionBias;
var() float WheelLongExtremumSlip;
var() float WheelLongExtremumValue;
var() float WheelLongAsymptoteSlip;
var() float WheelLongAsymptoteValue;
var() float WheelLatExtremumSlip;
var() float WheelLatExtremumValue;
var() float WheelLatAsymptoteSlip;
var() float WheelLatAsymptoteValue;
var() float WheelInertia;
var() bool bWheelSpeedOverride;
var() bool bClampedFrictionModel;
var() bool bAutoDrive;
var() float AutoDriveSteer;

defaultproperties
{
    WheelLongExtremumSlip=0.10
    WheelLongExtremumValue=1.0
    WheelLongAsymptoteSlip=2.0
    WheelLongAsymptoteValue=0.60
    WheelLatExtremumSlip=0.350
    WheelLatExtremumValue=0.850
    WheelLatAsymptoteSlip=1.40
    WheelLatAsymptoteValue=0.70
    WheelInertia=1.0
}